import 'package:json_annotation/json_annotation.dart';

part 'report_marking_detail_params.g.dart';


@JsonSerializable()
class ReportMarkingDetailParams extends Object {

  @JsonKey(name: 'ExamSubjectId')
  int examSubjectId;

  @JsonKey(name: 'StudentExamNum')
  String studentExamNum;

  ReportMarkingDetailParams(this.examSubjectId,this.studentExamNum,);

  factory ReportMarkingDetailParams.fromJson(Map<String, dynamic> srcJson) => _$ReportMarkingDetailParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$ReportMarkingDetailParamsToJson(this);

}


